Package com.collabnet.ce.soap60.fault

# Class FaultSummary

java.lang.Object
com.collabnet.ce.soap60.fault.FaultSummary

public class FaultSummary extends Object
Class for fault summary ids

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FaultSummary`
  `DUPLICATE_FIELD`
  `static final FaultSummary`
  `DUPLICATE_FIELD_VALUE`
  `static final FaultSummary`
  `ILLEGAL_FIELD_VALUE`
  Attempting to use field values that are reserved by the system
  `static final FaultSummary`
  `INVALID_DEFAULT_VALUE`
  `static final FaultSummary`
  `INVALID_FIELD_OPTIONS_REQUIRED_DISABLED`
  `static final FaultSummary`
  `INVALID_FIELD_OPTIONS_REQUIRED_HIDDEN`
  `static final FaultSummary`
  `INVALID_FIELD_PATTERN`
  `static final FaultSummary`
  `INVALID_FIELD_USER_CONTEXT`
  `static final FaultSummary`
  `INVALID_FIELD_VALUE`
  `static final FaultSummary`
  `INVALID_FIELD_VALUE_LENGTH`
  `static final FaultSummary`
  `INVALID_OPTION_DISABLE_IN_USE_FIELD`
  Attempting to disable a field that is currently in use in this tracker
  `static final FaultSummary`
  `INVALID_OPTION_DISABLE_RESERVED_FIELD`
  Attempting to disable a reserved field which cannot be disabled
  `static final FaultSummary`
  `INVALID_OPTION_FLAG_FIELD_HIERARCHY`
  Attempting to set a field's flag that is illegal because of the flag's value in the field parent
  `static final FaultSummary`
  `INVALID_OPTION_INVALID_USER_FILTER_VALUE`
  Attempting to add a User Select field with an invalid User filter option
  `static final FaultSummary`
  `INVALID_PARENT_FIELD`
  `static final FaultSummary`
  `MAX_NUMBER_FLEX_FIELDS_REACHED`
  `static final FaultSummary`
  `REQUIRED_FIELD_MISSING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INVALID_FIELD_VALUE_LENGTH

    public static final FaultSummary INVALID_FIELD_VALUE_LENGTH

  - ### DUPLICATE_FIELD_VALUE

    public static final FaultSummary DUPLICATE_FIELD_VALUE

  - ### INVALID_FIELD_VALUE

    public static final FaultSummary INVALID_FIELD_VALUE

  - ### REQUIRED_FIELD_MISSING

    public static final FaultSummary REQUIRED_FIELD_MISSING

  - ### INVALID_DEFAULT_VALUE

    public static final FaultSummary INVALID_DEFAULT_VALUE

  - ### INVALID_FIELD_OPTIONS_REQUIRED_DISABLED

    public static final FaultSummary INVALID_FIELD_OPTIONS_REQUIRED_DISABLED

  - ### INVALID_FIELD_OPTIONS_REQUIRED_HIDDEN

    public static final FaultSummary INVALID_FIELD_OPTIONS_REQUIRED_HIDDEN

  - ### DUPLICATE_FIELD

    public static final FaultSummary DUPLICATE_FIELD

  - ### MAX_NUMBER_FLEX_FIELDS_REACHED

    public static final FaultSummary MAX_NUMBER_FLEX_FIELDS_REACHED

  - ### ILLEGAL_FIELD_VALUE

    public static final FaultSummary ILLEGAL_FIELD_VALUE
    Attempting to use field values that are reserved by the system

  - ### INVALID_OPTION_DISABLE_IN_USE_FIELD

    public static final FaultSummary INVALID_OPTION_DISABLE_IN_USE_FIELD
    Attempting to disable a field that is currently in use in this tracker

  - ### INVALID_OPTION_FLAG_FIELD_HIERARCHY

    public static final FaultSummary INVALID_OPTION_FLAG_FIELD_HIERARCHY
    Attempting to set a field's flag that is illegal because of the flag's value in the field parent

  - ### INVALID_OPTION_DISABLE_RESERVED_FIELD

    public static final FaultSummary INVALID_OPTION_DISABLE_RESERVED_FIELD
    Attempting to disable a reserved field which cannot be disabled

  - ### INVALID_OPTION_INVALID_USER_FILTER_VALUE

    public static final FaultSummary INVALID_OPTION_INVALID_USER_FILTER_VALUE
    Attempting to add a User Select field with an invalid User filter option

  - ### INVALID_FIELD_USER_CONTEXT

    public static final FaultSummary INVALID_FIELD_USER_CONTEXT

  - ### INVALID_FIELD_PATTERN

    public static final FaultSummary INVALID_FIELD_PATTERN

  - ### INVALID_PARENT_FIELD

    public static final FaultSummary INVALID_PARENT_FIELD

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`